Simulation Customer Flow Variant
List a flow's variants
Returns every variant of a customer flow with its additional expectations. Not paginated: a flow’s variants are bounded by its paths.
GET
/
v1
/
simulation
/
customer-flow
/
{flowId}
/
variant
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const simulationCustomerFlowVariants = await client.simulationCustomerFlowVariant.list(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
console.log(simulationCustomerFlowVariants.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
simulation_customer_flow_variants = client.simulation_customer_flow_variant.list(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(simulation_customer_flow_variants.data)curl --request GET \
--url https://api.roark.ai/v1/simulation/customer-flow/{flowId}/variant \
--header 'Authorization: Bearer <token>'
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerFlowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"isDefault": false,
"personaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latestPathId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"precededByCustomerFlowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"precededByCustomerFlowVariantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isGenerated": false,
"isAutoGeneratedTitle": false,
"createdAt": "<string>",
"updatedAt": "<string>",
"additionalExpectations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"llmPrompt": "<string>",
"orderIndex": 0,
"sourceStepNodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"prompt": "<string>"
}
]
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "rate_limit",
"code": "too_many_requests",
"message": "Rate limit exceeded"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}⌘I
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const simulationCustomerFlowVariants = await client.simulationCustomerFlowVariant.list(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
console.log(simulationCustomerFlowVariants.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
simulation_customer_flow_variants = client.simulation_customer_flow_variant.list(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(simulation_customer_flow_variants.data)